Package org.jboss.resteasy.annotations.security.doseta

## Annotation Type Verify

-     @Target({METHOD,ANNOTATION_TYPE})
      @Retention(RUNTIME)
      public @interface Verify

  Verification of input signature specified in a signature header.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `boolean` | `bodyHashRequired` | If message body exists, are we required to check the hash of it?
    `String` | `identifierName` | If there are multiple signature headers, use this attribute name to pick which signature to verify
    `String` | `identifierValue` | What should be the value of identifierName()
    `boolean` | `ignoreExpiration` | Expiration check based on expiration attribute will be done unless this flag is set to false.
    `After` | `stale` | Do a stale check if a timestamp attribute is preset.

- - ### Element Detail

    - #### identifierName

          String identifierName

      If there are multiple signature headers, use this attribute name to pick which signature to verify
      Returns:
        identifier name
      Default:
        ""

  - - #### identifierValue

          String identifierValue

      What should be the value of identifierName()
      Returns:
        identifier value
      Default:
        ""

  - - #### ignoreExpiration

          boolean ignoreExpiration

      Expiration check based on expiration attribute will be done unless this flag is set to false.
      Returns:
        ignore expiration
      Default:
        false

  - - #### bodyHashRequired

          boolean bodyHashRequired

      If message body exists, are we required to check the hash of it?
      Returns:
        body has required
      Default:
        true

  - - #### stale

          After stale

      Do a stale check if a timestamp attribute is preset.
      Returns:
        `After`
      Default:
        @org.jboss.resteasy.annotations.security.doseta.After